xhci stacktrace at connection of USB device to USB 3.0 port

Bug #994248 reported by Marius B. Kotsbak on 2012-05-03
38
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Medium
linux (Ubuntu)
Medium
Unassigned

Bug Description

[ 7232.104168] ------------[ cut here ]------------
[ 7232.104200] WARNING: at /build/buildd/linux-3.2.0/drivers/usb/host/xhci.c:3493 xhci_address_device+0x263/0x290()
[ 7232.104214] Hardware name: T1005
[ 7232.104220] Modules linked in: option usb_wwan usbserial uas usb_storage bnep rfcomm parport_pc bluetooth ppdev dm_crypt snd_hda_codec_realtek snd_hda_intel snd_hda_codec snd_hwdep arc4 binfmt_misc snd_pcm ath9k mac80211 snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq uvcvideo videodev ath9k_common ath9k_hw joydev snd_timer hid_multitouch snd_seq_device ath snd cfg80211 sparse_keymap dm_multipath psmouse serio_raw soundcore snd_page_alloc mac_hid lp parport dm_raid45 xor dm_mirror dm_region_hash dm_log usbhid hid r8169 i915 wmi drm_kms_helper drm i2c_algo_bit video
[ 7232.104384] Pid: 31, comm: khubd Tainted: G W 3.2.0-24-generic-pae #38-Ubuntu
[ 7232.104395] Call Trace:
[ 7232.104411] [<c1592996>] ? printk+0x2d/0x2f
[ 7232.104428] [<c105a632>] warn_slowpath_common+0x72/0xa0
[ 7232.104441] [<c1434b43>] ? xhci_address_device+0x263/0x290
[ 7232.104453] [<c1434b43>] ? xhci_address_device+0x263/0x290
[ 7232.104467] [<c105a682>] warn_slowpath_null+0x22/0x30
[ 7232.104480] [<c1434b43>] xhci_address_device+0x263/0x290
[ 7232.104494] [<c10685f0>] ? usleep_range+0x40/0x40
[ 7232.104508] [<c140ad8c>] hub_set_address+0x4c/0xe0
[ 7232.104521] [<c140bc27>] hub_port_init+0x167/0x660
[ 7232.104536] [<c1036578>] ? default_spin_lock_flags+0x8/0x10
[ 7232.104550] [<c140dd0b>] hub_port_connect_change+0x28b/0x640
[ 7232.104565] [<c140e4ed>] hub_events+0x42d/0x560
[ 7232.104579] [<c1079f8d>] ? finish_wait+0x4d/0x70
[ 7232.104591] [<c140e620>] ? hub_events+0x560/0x560
[ 7232.104603] [<c140e645>] hub_thread+0x25/0x140
[ 7232.104616] [<c1079e90>] ? add_wait_queue+0x50/0x50
[ 7232.104628] [<c107968d>] kthread+0x6d/0x80
[ 7232.104641] [<c1079620>] ? flush_kthread_worker+0x80/0x80
[ 7232.104655] [<c15af8fe>] kernel_thread_helper+0x6/0x10
[ 7232.104664] ---[ end trace 86a64641ed540051 ]---
[ 7232.104675] xhci_hcd 0000:02:00.0: Virt dev invalid for slot_id 0x3!
[ 7232.308066] usb 6-2: device not accepting address 4, error -22
[ 7232.308109] xHCI xhci_free_dev called with unaddressed device
[ 7232.420225] usb 6-2: new high-speed USB device number 5 using xhci_hcd
[ 7232.420252] xhci_hcd 0000:02:00.0: ERROR: unexpected command completion code 0x0.
[ 7232.624196] xhci_hcd 0000:02:00.0: ERROR: unexpected command completion code 0x0.
[ 7232.828193] usb 6-2: device not accepting address 5, error -22
[ 7232.940187] usb 6-2: new high-speed USB device number 6 using xhci_hcd
[ 7232.940211] xhci_hcd 0000:02:00.0: ERROR: unexpected command completion code 0x0.
[ 7233.144577] usb 6-2: Device not responding to set address.
[ 7233.348104] usb 6-2: device not accepting address 6, error -71
[ 7233.460127] usb 6-2: new full-speed USB device number 7 using xhci_hcd
[ 7233.460154] xhci_hcd 0000:02:00.0: ERROR: unexpected command completion code 0x0.
[ 7233.664119] usb 6-2: Device not responding to set address.
[ 7233.868179] usb 6-2: device not accepting address 7, error -71
[ 7233.868252] hub 6-0:1.0: unable to enumerate USB device on port 2

ProblemType: Bug
DistroRelease: Ubuntu 12.04
Package: linux-image-3.2.0-24-generic-pae 3.2.0-24.38
ProcVersionSignature: Ubuntu 3.2.0-24.38-generic-pae 3.2.16
Uname: Linux 3.2.0-24-generic-pae i686
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.24.
AplayDevices:
 **** List of PLAYBACK Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
ApportVersion: 2.0.1-0ubuntu7
Architecture: i386
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: ALC269VB Analog [ALC269VB Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: marius 2046 F.... pulseaudio
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0x98200000 irq 52'
   Mixer name : 'Realtek ALC269VB'
   Components : 'HDA:10ec0269,1458b100,00100100'
   Controls : 16
   Simple ctrls : 9
Date: Thu May 3 23:39:45 2012
EcryptfsInUse: Yes
HibernationDevice: RESUME=UUID=49e028f9-7435-4850-8244-8523020782de
MachineType: GIGABYTE T1005
ProcEnviron:
 LANGUAGE=nb_NO:nb:no_NO:no:nn_NO:nn:en
 TERM=xterm
 PATH=(custom, user)
 LANG=nb_NO.UTF-8
 SHELL=/bin/bash
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-3.2.0-24-generic-pae root=UUID=f1d0446d-3ea3-46a7-9842-8773acca78e6 ro quiet splash i8042.noloop=1 vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.2.0-24-generic-pae N/A
 linux-backports-modules-3.2.0-24-generic-pae N/A
 linux-firmware 1.79
RfKill:
 0: phy0: Wireless LAN
  Soft blocked: no
  Hard blocked: no
SourcePackage: linux
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 08/30/2010
dmi.bios.vendor: GIGABYTE
dmi.bios.version: GSBF05
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: T1005
dmi.board.vendor: GIGABYTE
dmi.board.version: Base Board Version
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 1
dmi.chassis.vendor: Chassis Manufacturer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnGIGABYTE:bvrGSBF05:bd08/30/2010:svnGIGABYTE:pnT1005:pvrGSBF05:rvnGIGABYTE:rnT1005:rvrBaseBoardVersion:cvnChassisManufacturer:ct1:cvrChassisVersion:
dmi.product.name: T1005
dmi.product.version: GSBF05
dmi.sys.vendor: GIGABYTE

Marius B. Kotsbak (mariusko) wrote :
Marius B. Kotsbak (mariusko) wrote :

I think this worked fine when I tried a 3.4 kernel, so I guess it might be fixed upstream.

Brad Figg (brad-figg) on 2012-05-03
Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: usb3
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v3.4kernel[1] (Not a kernel in the daily directory). Once you've tested the upstream kernel, please remove the 'needs-upstream-testing' tag(Only that one tag, please leave the other tags). This can be done by clicking on the yellow pencil icon next to the tag located at the bottom of the bug description and deleting the 'needs-upstream-testing' text.

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.4-rc5-precise/

Changed in linux (Ubuntu):
importance: Undecided → Medium
tags: added: needs-upstream-testing
Changed in linux (Ubuntu):
status: Confirmed → Incomplete
tags: added: kernel-fixed-upstream
tags: removed: needs-upstream-testing
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

This issue appears to be an upstream bug, since you tested the latest upstream kernel. Would it be possible for you to open an upstream bug report at bugzilla.kernel.org [1]? That will allow the upstream Developers to examine the issue, and may provide a quicker resolution to the bug.

If you are comfortable with opening a bug upstream, It would be great if you can report back the upstream bug number in this bug report. That will allow us to link this bug to the upstream report.

[1] https://wiki.ubuntu.com/Bugs/Upstream/kernel

Changed in linux (Ubuntu):
status: Confirmed → Triaged
Changed in linux:
importance: Unknown → Medium
status: Unknown → Confirmed
Lehel (gladia2r) wrote :

I'm experiencing the same issue on ' 3.8.0-26-generic ' with my USB3 ports:

[210961.178817] usb 3-1: new low-speed USB device number 34 using xhci_hcd
[210961.179559] usb 3-1: Device not responding to set address.
[210961.383441] usb 3-1: Device not responding to set address.
[210961.586539] usb 3-1: device not accepting address 34, error -71
[210961.698446] usb 3-1: new low-speed USB device number 35 using xhci_hcd
[210961.699196] usb 3-1: Device not responding to set address.
[210966.899761] xhci_hcd 0000:04:00.0: Timeout while waiting for address device command
[210983.004687] xhci_hcd 0000:04:00.0: Stopped the command ring failed, maybe the host is dead
[210983.054671] xhci_hcd 0000:04:00.0: Host not halted after 16000 microseconds.
[210983.054673] xhci_hcd 0000:04:00.0: Abort command ring failed
[210983.055311] xhci_hcd 0000:04:00.0: HC died; cleaning up
[210983.259085] usb 3-1: device not accepting address 35, error -108
[210983.259094] hub 3-0:1.0: cannot disable port 1 (err = -19)
[210988.256585] xhci_hcd 0000:04:00.0: Timeout while waiting for a slot
[210988.256597] xhci_hcd 0000:04:00.0: Abort the command ring, but the xHCI is dead.
[210988.256619] hub 3-0:1.0: cannot reset port 1 (err = -19)
[210988.256627] hub 3-0:1.0: cannot disable port 1 (err = -19)
[210988.256634] xHCI xhci_free_dev called with unaddressed device
[210988.256643] hub 3-0:1.0: unable to enumerate USB device on port 1
[210988.256648] hub 3-0:1.0: cannot disable port 1 (err = -19)
[211738.651146] xhci_hcd 0000:04:00.0: Secondary root hub is not suspended

Marius B. Kotsbak, as per http://www.gigabyte.com/products/product-page.aspx?pid=3570#bios an update is available for your BIOS (F09 2011/08/05). If you update to this following https://help.ubuntu.com/community/BiosUpdate , does it change anything?

If not, could you please both specify what happened, and provide the output of the following terminal command:
sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date

Please note your current BIOS is already in the Bug Description, so posting this on the old BIOS would not be helpful.

For more on BIOS updates and linux, please see https://help.ubuntu.com/community/ReportingBugs#Bug_reporting_etiquette .

Thank you for your understanding.

Changed in linux (Ubuntu):
status: Triaged → Incomplete
Davide (davemann) wrote :
Download full text (6.9 KiB)

I can confirm the issue is still active
It comes only after resume

Hardware:
Dell Precision M4800 (full hardware test done to be sure to have no broken parts)

$ sudo dmidecode -s bios-version && sudo dmidecode -s bios-release-date
A25
10/08/2018

$ uname -a
Linux DPM4800 4.15.0-39-generic #42-Ubuntu SMP Tue Oct 23 15:48:01 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

$ lsb_release -da
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic

$ dmesg -l err | grep usb
[ 532.802255] usb usb4-port1: cannot disable (err = -32)
[ 536.890116] usb usb4-port1: Cannot enable. Maybe the USB cable is bad?
[ 536.890145] usb usb4-port1: cannot disable (err = -32)
[ 540.978079] usb usb4-port1: Cannot enable. Maybe the USB cable is bad?
[ 540.978094] usb usb4-port1: cannot disable (err = -32)
[ 545.382135] usb usb4-port1: Cannot enable. Maybe the USB cable is bad?
[ 545.382164] usb usb4-port1: cannot disable (err = -32)
[ 549.470069] usb usb4-port1: Cannot enable. Maybe the USB cable is bad?
[ 549.470096] usb usb4-port1: cannot disable (err = -32)
[ 549.470149] usb usb4-port1: unable to enumerate USB device
[ 549.470169] usb usb4-port1: cannot disable (err = -32)
// also more lines like these with usb4 from port 2 to 6

$ dmesg -w (copy/paste only few lines from the end)
[ 1034.816581] xhci_hcd 0000:00:14.0: Cannot set link state.
[ 1034.816586] usb usb4-port6: cannot disable (err = -32)
[ 1034.816636] usb usb4-port6: unable to enumerate USB device
[ 1034.816645] xhci_hcd 0000:00:14.0: Cannot set link state.
[ 1034.816657] usb usb4-port6: cannot disable (err = -32)

$ lsusb
Bus 002 Device 004: ID 0a5c:5801 Broadcom Corp. BCM5880 Secure Applications Processor with fingerprint swipe sensor
Bus 002 Device 003: ID 8087:07dc Intel Corp.
Bus 002 Device 002: ID 8087:8000 Intel Corp.
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 003: ID 0c45:64d0 Microdia
Bus 001 Device 002: ID 8087:8008 Intel Corp.
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 002: ID 413c:5534 Dell Computer Corp.
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 002: ID 413c:2134 Dell Computer Corp.
Bus 003 Device 005: ID 046e:55a5 Behavior Tech. Computer Corp.
Bus 003 Device 004: ID 093a:2510 Pixart Imaging, Inc. Optical Mouse
Bus 003 Device 003: ID 413c:2513 Dell Computer Corp. internal USB Hub of E-Port Replicator
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

$ sudo lshw -C bus
  *-core
       description: Motherboard
       product: 0FVDR2
       vendor: Dell Inc.
       physical id: 0
       version: A00
       serial: /JTFFXY1/CN129633C30091/
  *-usb:0
       description: USB controller
       product: 8 Series/C220 Series Chipset Family USB xHCI
       vendor: Intel Corporation
       physical id: 14
       bus info: pci@0000:00:14.0
       version: 04
       width: 64 bits
       clock: 33MHz
       capabilities: pm msi xhci bus_master cap_list
       configuration: driver=xhci_hcd latency=0
       resources: irq:26 memory:f7820000-f782ffff
     *-usbhost:0
          product: xHCI H...

Read more...

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.